Bug 734045 - No option to configure setageintime on bridge device
Summary: No option to configure setageintime on bridge device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 10:24 UTC by Ruben Kerkhof
Modified: 2014-03-17 03:28 UTC (History)
5 users (show)

Fixed In Version: initscripts-9.32-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-11 01:44:43 UTC


Attachments (Terms of Use)
potential patch (1.89 KB, patch)
2011-08-30 19:40 UTC, Bill Nottingham
no flags Details | Diff

Description Ruben Kerkhof 2011-08-29 10:24:19 UTC
I'd like to change the MAC address aging time on a bridge device.
Currently, there's DELAY and STP, but no variable to change setageingtime.

Since there are a few other options which can be set on bridge, maybe you can introduce BRIDGE_OPTS, just like you did with ETHTOOL_OPTS?

Comment 1 Bill Nottingham 2011-08-30 19:40:03 UTC
Created attachment 520675 [details]
potential patch

What do you think of the above?

Comment 2 Ruben Kerkhof 2011-08-30 21:57:33 UTC
Even better,  this also allows me to set stuff like multicast_snooping and other /sys entries.

Comment 3 Bill Nottingham 2011-08-31 18:54:33 UTC
Added as http://git.fedorahosted.org/git/?p=initscripts.git;a=commitdiff;h=84d0dadb52b1dfb4ecb01d1416c59da6a8af166c

Will be in F-16 and later.

Comment 4 Fedora Update System 2011-09-02 20:11:10 UTC
initscripts-9.32-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/initscripts-9.32-1.fc16

Comment 5 Fedora Update System 2011-09-06 18:08:06 UTC
Package initscripts-9.32-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.32-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/initscripts-9.32-1.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-09-11 01:44:14 UTC
initscripts-9.32-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.